#ifndef _pipeline

#define _pipeline


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "../classConfiguration.h"

#include "./vector.h"

#include "./renderPasses/renderPass.h"

#include "../array.h"

#include "../int.h"


typedef struct pipeline{

	unsigned short __classIndex;

	array * renderPasses;

	vector_int * classIndices;

	vector_int * methodIndices;


} pipeline;

void pipeline_addRenderPass( pipeline * this, int count, int datatypes[], ... );

void pipeline_render( pipeline * this );

pipeline pipeline_new(  );

pipeline * pipeline_newPointer(  );

#endif


typedef struct pipeline pipeline;



